AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.1

Public Member Functions | Static Public Member Functions | List of all members
AMPS::DynamicRecoveryPoint Class Reference

DynamicRecoveryPoint is a RecoveryPoint implementation where subId is set explicitly but bookmark is retrieved from the BookmarkStore as its most recent at the time of access. More...

`#include <RecoveryPoint.hpp>`

Inheritance diagram for AMPS::DynamicRecoveryPoint:

## Public Member Functions
virtual const Field & | getSubId () const
| Get the sub id for this recovery point. More...
virtual const Field & | getBookmark () const
| Get the bookmark for this recovery point. More...
virtual RecoveryPointImpl * | deepCopy ()
| Return a deep copy of self.
virtual RecoveryPointImpl * | deepCopy (const RecoveryPointImpl &original_)
| Make self a deep copy of original_.
virtual void | clear ()
| Clear the internal state, possibly reclaiming memory.

## Static Public Member Functions
static RecoveryPoint | create (const Field &subId_, const Field &, const BookmarkStore &store_)
| Use this function in BookmarkStore::setRecoveryPointFactory( std::bind(&DynamicRecoveryPoint::create, std::placeholder::_1, std::placeholder::_2, std::ref(bookmarkStore)))

## Detailed Description

DynamicRecoveryPoint is a RecoveryPoint implementation where subId is set explicitly but bookmark is retrieved from the BookmarkStore as its most recent at the time of access.

This can be used instead of the default FixedRecoveryPoint by using the create() method as a RecoveryPointFactory when setting an adapter on the underlying BookmarkStore

## Member Function Documentation

## ◆ getBookmark()

virtual const Field& AMPS::DynamicRecoveryPoint::getBookmark | ( |  | ) | const
| inline virtual

Get the bookmark for this recovery point.

Returns
  The bookmark.

Implements AMPS::RecoveryPointImpl.

## ◆ getSubId()

virtual const Field& AMPS::DynamicRecoveryPoint::getSubId | ( |  | ) | const
| inline virtual

Get the sub id for this recovery point.

Returns
  The sub id.

Implements AMPS::RecoveryPointImpl.

The documentation for this class was generated from the following file:

- include/amps/RecoveryPoint.hpp